org.apache.hadoop.yarn.webapp.hamlet

## Interface HamletSpec._Block

- All Superinterfaces:
    HamletSpec.Heading, HamletSpec.Listing, HamletSpec.Preformatted
  All Known Subinterfaces:
    HamletSpec._Body, HamletSpec._Cell, HamletSpec._Html, HamletSpec.Block, HamletSpec.BLOCKQUOTE, HamletSpec.BODY, HamletSpec.BUTTON, HamletSpec.DD, HamletSpec.DEL, HamletSpec.DIV, HamletSpec.FIELDSET, HamletSpec.Flow, HamletSpec.FORM, HamletSpec.HTML, HamletSpec.INS, HamletSpec.LI, HamletSpec.MAP, HamletSpec.OBJECT, HamletSpec.TD, HamletSpec.TH
  All Known Implementing Classes:
    Hamlet, Hamlet.BLOCKQUOTE, Hamlet.BODY, Hamlet.BUTTON, Hamlet.DD, Hamlet.DEL, Hamlet.DIV, Hamlet.FIELDSET, Hamlet.FORM, Hamlet.HTML, Hamlet.INS, Hamlet.LI, Hamlet.MAP, Hamlet.OBJECT, Hamlet.TD, Hamlet.TH
  Enclosing class:
    HamletSpec

      public static interface HamletSpec._Block
      extends HamletSpec.Heading, HamletSpec.Listing, HamletSpec.Preformatted

  %block -(FORM|FIELDSET)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HamletSpec._Block` | `_(Class<? extends SubView> cls)` Embed a sub-view.
    `HamletSpec.ADDRESS` | `address()` Add a ADDRESS element.
    `HamletSpec._Block` | `address(String cdata)` Add a complete ADDRESS element.
    `HamletSpec.BLOCKQUOTE` | `blockquote()` Add a BLOCKQUOTE element.
    `HamletSpec.BLOCKQUOTE` | `bq()` Alias of blockquote
    `HamletSpec.DIV` | `div()` Add a DIV element.
    `HamletSpec.DIV` | `div(String selector)` Add a DIV element.
    `HamletSpec.DL` | `dl()` Add a DL (description list) element.
    `HamletSpec.DL` | `dl(String selector)` Add a DL element.
    `HamletSpec.HR` | `hr()` Add a HR (horizontal rule) element.
    `HamletSpec._Block` | `hr(String selector)` Add a HR element.
    `HamletSpec.P` | `p()` Add a P (paragraph) element.
    `HamletSpec.P` | `p(String selector)` Add a P (paragraph) element.
    `HamletSpec.TABLE` | `table()` Add a TABLE element.
    `HamletSpec.TABLE` | `table(String selector)` Add a TABLE element.

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec.Heading

      `h1, h1, h1, h2, h2, h2, h3, h3, h3, h4, h4, h4, h5, h5, h5, h6, h6, h6`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec.Listing

      `ol, ol, ul, ul`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec.Preformatted

      `pre, pre`

- - ### Method Detail

    - #### p

          HamletSpec.P p()

      Add a P (paragraph) element.
      Returns:
        a new P element builder

    - #### p

          HamletSpec.P p(String selector)

      Add a P (paragraph) element.
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
      Returns:
        a new P element builder

    - #### dl

          HamletSpec.DL dl()

      Add a DL (description list) element.
      Returns:
        a new DL element builder

    - #### dl

          HamletSpec.DL dl(String selector)

      Add a DL element.
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
      Returns:
        a new DL element builder

    - #### div

          HamletSpec.DIV div()

      Add a DIV element.
      Returns:
        a new DIV element builder

    - #### div

          HamletSpec.DIV div(String selector)

      Add a DIV element.
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
      Returns:
        a new DIV element builder

    - #### blockquote

          HamletSpec.BLOCKQUOTE blockquote()

      Add a BLOCKQUOTE element.
      Returns:
        a new BLOCKQUOTE element builder

    - #### bq

          HamletSpec.BLOCKQUOTE bq()

      Alias of blockquote
      Returns:
        a new BLOCKQUOTE element builder

    - #### hr

          HamletSpec.HR hr()

      Add a HR (horizontal rule) element.
      Returns:
        a new HR element builder

    - #### hr

          HamletSpec._Block hr(String selector)

      Add a HR element.
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
      Returns:
        a new HR element builder

    - #### table

          HamletSpec.TABLE table()

      Add a TABLE element.
      Returns:
        a new TABLE element builder

    - #### table

          HamletSpec.TABLE table(String selector)

      Add a TABLE element.
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
      Returns:
        a new TABLE element builder

    - #### address

          HamletSpec.ADDRESS address()

      Add a ADDRESS element.
      Returns:
        a new ADDRESS element builder

    - #### address

          HamletSpec._Block address(String cdata)

      Add a complete ADDRESS element.
      Parameters:
        `cdata` - the content
      Returns:
        the current element builder

    - #### _

          HamletSpec._Block _(Class<? extends SubView> cls)

      Embed a sub-view.
      Parameters:
        `cls` - the sub-view class
      Returns:
        the current element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.